%define	version 1.2.0.20090901
%define	release %mkrel 2

Name:      ibus-table-erbi
Summary:   ibus-erbi - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.2.0
BuildRequires: ibus-table-extraphrase-devel >= 1.1.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0.20091113-2
Conflicts:	ibus-table < 0.1.2

%description
ibus-table-erbi provides ErBi input method on IBus Table under IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-extra-phrases
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/*
%{_datadir}/ibus-table/tables/*.db


%changelog
* Sat Jan 09 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20090901-2mdv2010.1
+ Revision: 487921
- requires ibus-table rpmtrigger

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090901-1mdv2010.0
+ Revision: 441964
- fix file list
- New version 1.2.0.20090901

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090717-1mdv2010.0
+ Revision: 408916
- new version series 1.2.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090407-1mdv2010.0
+ Revision: 369492
- New version 1.1.0.20090407

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090220-1mdv2009.1
+ Revision: 343593
- new version 1.1.0.20090220

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324493
- build index after installing
- enable extraphrase
- import ibus-table-erbi


